<template>
  <v-container>
    <v-row align="center" justify="center">
      <v-col
        cols="8"
        sm="8"
        md="8"
        lg="7"
        xl="7"
        xs="8"
        style="display: flex; justify: center"
      >
        <v-timeline dense clipped class="ma-auto">
          <v-timeline-item
            class="mb-12"
            color="grey"
            icon-color="grey"
            :style="$vuetify.breakpoint.sm ? 'height: 100px' : 'height: 150px'"
            large
            fill-dot
            v-for="i in 3"
            :key="i"
          >
            <template v-slot:icon>
              <v-btn icon @click="window = i">
                <v-icon
                  dark
                  class="ma-auto mt-5"
                  :size="$vuetify.breakpoint.name == 'sm' ? '70px' : '90px'"
                  style="color: grey"
                  :style="window == i ? 'color:#7ECA9C' : ''"
                  >mdi-circle</v-icon
                >
              </v-btn>
            </template>
            <v-row>
              <div class="ml-8">
                <p class="fat-text">
                  {{ $t("steps_" + type + "." + i + ".1") }}
                </p>
                <p class="text">{{ $t("steps_" + type + "." + i + ".2") }}</p>
              </div>
            </v-row>
          </v-timeline-item>
        </v-timeline>
      </v-col>
      <v-col cols="3" sm="3" md="3" lg="4" xl="4" xs="3">
        <img
          :src="
            require(`../../assets/screenshots/${$i18n.locale}/steps_` +
              type +
              +window +
              '.png')
          "
          alt=""
          rel="preload"
          style="height: 550px; width: auto; align-self: center"
          :style="$vuetify.breakpoint.name == 'sm' ? 'height:400px' : ''"
        />
      </v-col>
    </v-row>
  </v-container>
</template>

<script>
export default {
  props: { type: String },
  data() {
    return {
      window: 1,
    };
  },
};
</script>

<style scoped lang="scss">
.v-application--is-ltr .v-timeline--dense:not(.v-timeline--reverse):before {
  width: 4px;
  color: grey;
  height: 70%;
  margin-top: 10%;
  opacity: 1;
}
.vustify-vertically-center {
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  justify-content: space-around;
  flex-wrap: wrap;
}
p {
  text-align: left;
  margin-top: 15px;
  margin-bottom: 15px;
}
.v-btn {
  position: relative;
  top: 50%;
  transform: translateY(-100%);
}
.v-btn {
  opacity: 1;
}
</style>
